var system = require("../../../system")
const CtlBase = require("../../ctlms.base");
class MainCtl extends CtlBase {
  constructor() {
    super();
    this.mainSve = system.getObject("service.saas.mainSve");
  }

  async dics(params, pobj2, req) {
    try {
      return await this.mainSve.dics(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

  async info(params, pobj2, req) {
    try {
      return await this.mainSve.info(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

  async page(params, pobj2, req) {
    try {
      return await this.mainSve.page(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }


  async save(params, pobj2, req) {
    try {
      return await this.mainSve.save(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }


}
module.exports = MainCtl;